<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui">
<body>
	<ui:composition>
<!-- 		<div class="row box-mb"> -->
<!-- 			<div class="col-sm-12"> -->
<!-- 				<label class="control-label"><b><ui:insert name="seccion_guardar_informacion_titulo">CONFIRMAR REGISTRO</ui:insert></b></label> -->
<!-- 			</div> -->
<!-- 		</div> -->
		<div class="row box-mb">
			<p:separator />
			<div class="row box-mb ">
				<div class="col-sm-10 text-center box-main-btn">
					<ui:insert name="seccion_guardar_informacion_campo_guardar">
															
						<p:commandButton
										id="btnGrabar"
										value="Grabar Datos"
										icon="fa fa-file-text-o ocultarImgIcon"
										disabled="#{bandejaSalaDelUsuarioMB.disabledBotonSave}"
										styleClass="btn btn-primary btn-sensitive"
										onclick="PF('statusDialog').show()"
										action="#{bandejaSalaDelUsuarioMB.update}"
										oncomplete="PF('statusDialog').hide();"
										ajax="true" update=":frmUserCreation"/>	
										
<!-- 						<p:commandButton -->
<!-- 										id="btnSuspender" -->
<!-- 										value="Suspender" -->
<!-- 										icon="fa fa-file-text-o ocultarImgIcon" -->
<!-- 										disabled="#{bandejaSalaDelUsuarioMB.disabledSuspenderUsuario}" -->
<!-- 										styleClass="btn btn-primary btn-sensitive" -->
<!-- 										actionListener="#{bandejaSalaDelUsuarioMB.validatePreSuspension}" -->
<!-- 										ajax="true" update=":frmUserCreation"/>		 -->
										
															
						<p:commandButton
										id="btnSuspender"
										value="Suspender"
										icon="fa fa-file-text-o ocultarImgIcon"
										disabled="#{bandejaSalaDelUsuarioMB.disabledSuspenderUsuario}"
										styleClass="btn btn-primary btn-sensitive"
										onclick="PF('statusDialog').show()"
										action="#{bandejaSalaDelUsuarioMB.suspenderUsuario}"
										oncomplete="PF('statusDialog').hide();"
										ajax="true" update=":frmUserCreation"/>																
				
<!-- 						<p:commandButton -->
<!-- 										id="btnAnular" -->
<!-- 										value="Anular" -->
<!-- 										icon="fa fa-file-text-o ocultarImgIcon" -->
<!-- 										disabled="#{bandejaSalaDelUsuarioMB.disabledAnularUsuario}" -->
<!-- 										styleClass="btn btn-primary btn-sensitive" -->
<!-- 										actionListener="#{bandejaSalaDelUsuarioMB.validatePreAnulacion}" -->
<!-- 										ajax="true" update=":frmUserCreation:mensaje"/>				 -->
										
						<p:commandButton
										id="btnAnular"
										value="Anular"
										icon="fa fa-file-text-o ocultarImgIcon"
										disabled="#{bandejaSalaDelUsuarioMB.disabledAnularUsuario}"
										styleClass="btn btn-primary btn-sensitive"
										onclick="PF('statusDialog').show()"
										action="#{bandejaSalaDelUsuarioMB.anularUsuario}"
										oncomplete="PF('statusDialog').hide();"
										ajax="true" update=":frmUserCreation:mensaje"/>															
				
<!-- 						<p:commandButton -->
<!-- 										id="btnHabilitar" -->
<!-- 										value="Habilitar" -->
<!-- 										icon="fa fa-file-text-o ocultarImgIcon" -->
<!-- 										disabled="#{bandejaSalaDelUsuarioMB.disabledHabilitarUsuario}" -->
<!-- 										styleClass="btn btn-primary btn-sensitive" -->
<!-- 										actionListener="#{bandejaSalaDelUsuarioMB.validatePreHabilitacion}" -->
<!-- 										ajax="true" update=":frmUserCreation:mensaje"/>		 -->
										
						<p:commandButton
										id="btnHabilitar"
										value="Habilitar"
										icon="fa fa-file-text-o ocultarImgIcon"
										disabled="#{bandejaSalaDelUsuarioMB.disabledHabilitarUsuario}"
										styleClass="btn btn-primary btn-sensitive"
										onclick="PF('statusDialog').show()"
										action="#{bandejaSalaDelUsuarioMB.habilitarUsuario}"
										oncomplete="PF('statusDialog').hide();"
										ajax="true" update=":frmUserCreation:mensaje"/>												
										
<!-- 						<p:commandButton -->
<!-- 										id="btnEnviarEmail" -->
<!-- 										value="Reenviar código QR" -->
<!-- 										icon="fa fa-file-text-o ocultarImgIcon" -->
<!-- 										disabled="false" -->
<!-- 										onclick="PF('statusDialog').show()" -->
<!-- 										oncomplete="PF('statusDialog').hide();"										 -->
<!-- 										styleClass="btn btn-primary btn-sensitive" -->
<!-- 										actionListener="#{bandejaSalaDelUsuarioMB.enviarQRCodeViaEMail}" -->
<!-- 										ajax="true" update=":frmUserCreation:mensaje"/>													 -->
					</ui:insert>
				</div>
				<div class="col-sm-2 text-center box-main-btn">
					<ui:insert name="seccion_guardar_informacion_campo_limpiar">
						<p:commandButton 
							value="Regresar" 
							styleClass="btn btn-primary btn-sensitive"
							action="#{bandejaSalaDelUsuarioMB.goToBandejaSalaUsuarioPage}"
							ajax="false" />		
					</ui:insert>
				</div>
			</div>
		</div>
	</ui:composition>
</body>
</html>